edu.cmu.pslc.logging.element

## Class ProblemElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.ProblemElement

-     public class ProblemElement
      extends java.lang.Object

  ProblemElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TUTOR_FLAG_OTHER` Tutor Flag enumeration field value - "other".
    `static java.lang.String` | `TUTOR_FLAG_POST_TEST` Tutor Flag enumeration field value - "test".
    `static java.lang.String` | `TUTOR_FLAG_PRE_TEST` Tutor Flag enumeration field value - "test".
    `static java.lang.String` | `TUTOR_FLAG_TEST` Tutor Flag enumeration field value - "test".
    `static java.lang.String` | `TUTOR_FLAG_TUTOR` Tutor Flag enumeration field value - "tutor".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProblemElement(java.lang.String name)` Constructor.
    `ProblemElement(java.lang.String name, java.lang.String context)` Constructor.
    `ProblemElement(java.lang.String tutorFlag, java.lang.String other, java.lang.String name, java.lang.String context)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContext()` Gets context.
    `java.lang.String` | `getName()` Gets name.
    `java.lang.String` | `getOther()` Gets other.
    `java.lang.String` | `getTutorFlag()` Gets context.
    `java.lang.String` | `toString()` Returns the xml version of the object.
    `java.lang.String` | `toString(java.lang.String tabs)` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TUTOR_FLAG_TUTOR

          public static final java.lang.String TUTOR_FLAG_TUTOR

      Tutor Flag enumeration field value - "tutor".
      See Also:
        Constant Field Values

    - #### TUTOR_FLAG_TEST

          public static final java.lang.String TUTOR_FLAG_TEST

      Tutor Flag enumeration field value - "test".
      See Also:
        Constant Field Values

    - #### TUTOR_FLAG_PRE_TEST

          public static final java.lang.String TUTOR_FLAG_PRE_TEST

      Tutor Flag enumeration field value - "test".
      See Also:
        Constant Field Values

    - #### TUTOR_FLAG_POST_TEST

          public static final java.lang.String TUTOR_FLAG_POST_TEST

      Tutor Flag enumeration field value - "test".
      See Also:
        Constant Field Values

    - #### TUTOR_FLAG_OTHER

          public static final java.lang.String TUTOR_FLAG_OTHER

      Tutor Flag enumeration field value - "other".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProblemElement

          public ProblemElement(java.lang.String tutorFlag,
                        java.lang.String other,
                        java.lang.String name,
                        java.lang.String context)

      Constructor.
      Parameters:
        `tutorFlag` - tutorFlag
        `other` - other
        `name` - name
        `context` - context

    - #### ProblemElement

          public ProblemElement(java.lang.String name,
                        java.lang.String context)

      Constructor.
      Parameters:
        `name` - name
        `context` - context

    - #### ProblemElement

          public ProblemElement(java.lang.String name)

      Constructor.
      Parameters:
        `name` - name

  - ### Method Detail

    - #### getContext

          public java.lang.String getContext()

      Gets context.
      Returns:
        context

    - #### getName

          public java.lang.String getName()

      Gets name.
      Returns:
        name

    - #### getOther

          public java.lang.String getOther()

      Gets other.
      Returns:
        other

    - #### getTutorFlag

          public java.lang.String getTutorFlag()

      Gets context.
      Returns:
        tutorFlag

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

    - #### toString

          public java.lang.String toString(java.lang.String tabs)

      Returns the xml version of the object.
      Parameters:
        `tabs` - tabs
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center